import { ChainId, Pair, Token, TokenAmount } from '@envanik/sdk';
import { AddLiquidityProps, CreatePoolProps, RemoveLiquidityProps } from '../types';
/**
 * Returns a Near Wallet balance.
 */
export declare function useNearBalance(chainId: ChainId, accounts?: (string | undefined)[]): {
    [address: string]: any;
} | undefined;
export declare function useNearTokenBalances(address?: string, tokensOrPairs?: (Token | Pair | undefined)[]): [{
    [tokenAddress: string]: TokenAmount | undefined;
}, boolean];
export declare function useNearTokenBalance(account?: string, tokenOrPair?: Token | Pair): TokenAmount | undefined;
export declare function useNearPairBalance(account?: string, pair?: Pair): TokenAmount | undefined;
export declare function useNearAddLiquidity(): (data: AddLiquidityProps) => Promise<void>;
export declare function useNearRemoveLiquidity(pair: Pair): {
    removeLiquidity: (data: RemoveLiquidityProps) => Promise<void>;
    onAttemptToApprove: () => void;
    signatureData: undefined;
    setSignatureData: () => void;
};
export declare function useGetNearUserLP(): {
    v2IsLoading: boolean;
    allV2PairsWithLiquidity: Pair[];
};
export declare function useNearCreatePair(): (data: CreatePoolProps) => Promise<void>;
